#include "../../Commun/Commun/Somme_h.h"
#include "../../Commun/Commun/UUID_Fabriques.h"
#include <iostream>
using namespace std;
int main() {
   HRESULT hr = CoInitializeEx(nullptr, COINIT_APARTMENTTHREADED);
   IUnknown* pUnk{};
   hr = CoCreateInstance(
      CLSID_FabriqueSommateur, nullptr, CLSCTX_INPROC_SERVER, IID_IUnknown, reinterpret_cast<void**>(&pUnk)
   );
   if (SUCCEEDED(hr)) {
      ISomme* pSomme{};
      hr = pUnk->QueryInterface(IID_ISomme, reinterpret_cast<void**>(&pSomme));
      pUnk->Release();
      if (SUCCEEDED(hr)) {
         int resultat;
         hr = pSomme->somme(2, 3, &resultat);
         if (SUCCEEDED(hr))
            cout << "2 + 3 == " << resultat << endl;
         pSomme->Release();
      }
   }
   CoUninitialize();
}