#ifndef CONVERSION_CHAINES_H
#define CONVERSION_CHAINES_H

#include <string>
#include <string_view>
#include <locale>
#include <algorithm>
#include <iterator>

template <class D, class S>
   std::basic_string<D> convert_str(const std::basic_string_view<S> &s) {
      using namespace std;
      return{ begin(s), end(s) };
   }

template <class C>
   std::basic_string<C> majuscules(std::basic_string<C> s) {
      using namespace std;
      transform(begin(s), end(s), begin(s), [loc = locale{ "" }](C c) {
         return toupper(c, loc);
      });
      return s;
   }


#endif
